%global pypi_name websockify

Name:           python-%{pypi_name}
Version:        0.12.0
Release:        %mkrel 3
Group:          Development/Python
Summary:        WebSockets support for any application/server

License:        MIT
URL:            https://pypi.org/project/websockify/
Source0:        https://pypi.io/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
WebSockets support for any application/server.

%package -n python3-%{pypi_name}
Summary:        WebSockets support for any application/server
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
WebSockets support for any application/server.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGES.txt README.md
%{_bindir}/websockify


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.12.0-3.mga10
+ Revision: 2240843
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.12.0-2.mga10
+ Revision: 2157903
- rebuild for python3.13
+ daviddavid <daviddavid>
- new version: 0.12.0
- switch to pyproject

* Tue Dec 19 2023 papoteur <papoteur> 0.10.0-3.mga10
+ Revision: 2019508
- Mass Rebuild - Python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.10.0-2.mga9
+ Revision: 1823098
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 0.10.0-1.mga9
+ Revision: 1780096
- version 0.10.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.9.0-3.mga9
+ Revision: 1733053
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.9.0-2.mga8
+ Revision: 1532541
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1442484
- new version: 0.9.0
- rebuild for python3.8
- drop python2 support

* Sat Apr 20 2019 wally <wally> 0.8.0-1.mga7
+ Revision: 1394103
- new version 0.8.0

* Tue Jan 08 2019 tv <tv> 0.7.0-4.mga7
+ Revision: 1352375
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.7.0-3.mga7
+ Revision: 1290563
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.7.0-2.mga7
+ Revision: 1135691
- Rebuild for python 3.6

* Wed Dec 16 2015 daviddavid <daviddavid> 0.7.0-1.mga6
+ Revision: 911004
- new version: 0.7.0
- use new python macros

* Thu Oct 08 2015 tv <tv> 0.5.1-10.mga6
+ Revision: 887581
- rebuild for python 3.5

* Fri Apr 10 2015 luigiwalser <luigiwalser> 0.5.1-9.mga5
+ Revision: 820057
- add python-pkg-resources requires to correct package, websockify (mga#15622)

* Fri Apr 03 2015 luigiwalser <luigiwalser> 0.5.1-8.mga5
+ Revision: 819693
- require python-pkg-resources (mga#15622)

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-7.mga5
+ Revision: 744958
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.1-6.mga5
+ Revision: 729982
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-5.mga5
+ Revision: 688417
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.5.1-4.mga5
+ Revision: 629097
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.5.1-3.mga4
+ Revision: 544453
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5.1-2.mga4
+ Revision: 499717
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 09 2013 neoclust <neoclust> 0.5.1-1.mga4
+ Revision: 493953
- imported package python-websockify

